Subject: [MEXT] New revision for rfc3775bis

From: "Charles E. Perkins" <[email-masked]>
Date: Fri, 27 Feb 2009 09:39:55 -0800

Hello folks,

The time has come to make revisions to rfc3775bis and try to
close the remaining issues.  These issues have not received
very much attention recently on the mailing list.  Here is a
list of the open issues from the last IETF:

    #2   Removing DHAAD mechanism [Jean-Michel Combes]
    #7     DSMIPv6 BU format and RFC 3775 [Tero Kauppinen]
    #9     Simultaneous Mobility [Ashutosh Dutta]
    #10  The usage of "HA lifetime" [Ryuji Wakikawa]
    #11  De-registration when returning home [Vijay Devarapalli]
    #15  BRR sent by HA too, not only by CN [Ahmad Muhanna]
    #16  HA behaviour upon MN returning Home [Pascal Thubert]
    #17  Multi-homed mobile node can cause HA routing loop [Benjamin Lim]

Over the next few days, I will try to identify the best
consensus for closing these issues, and submit a revised
version of rfc3775bis before the deadline on March 9.

You can find more details at:
    http://trac.tools.ietf.org/wg/mext/trac/report/1

If anyone has comments on any of these issues, please try to
initiate the discussion as soon as possible.  I will be relying
to a large extent on the resolutions that were suggested at
the last meeting of the [mext] working group at IETF 73.
Here is the URL for the minutes:
    http://www.ietf.org/proceedings/08nov/minutes/mext.txt

Finally, I will review the mailing list to see if any
new issues were raised and accepted for consideration as
revisions to rfc3775bis.  There was at least some
discussion about possible clarifications for the use
of the Alt-CoA option.

Regards,
Charlie P.

---

From: marcelo bagnulo braun <[email-masked]>
Date: Fri, 27 Feb 2009 18:50:53 +0100

Hi Charlie,

according to the last meeting minutes, we already have way forward with 
most of these issues.
I attach what we agreed in the last meeting:

- issue #2, DHAAD-harmful
  *DECISION TO MAKE OPTIONAL IN BOTH SIDES*

- issue #7, dsmipv6 bu & RFC3775 (enhancement)
  *VIJAY WILL PROVIDE TEXT ON PROPOSAL #3*

- issue #9, simultaneous mobility (defect)
  *HESHAM WILL SUPPLY CHARLIE WITH A ROUGH DRAFT OF DESCRIBING TRADEOFFS 
OF DIFFERENT METHODS TO DETECT WHEN TO FALL BACK TO REVERSE TUNNELLING*

- issue #10, ready to close, usage of HA lifetime (defect)
  *ACCEPT BENJAMIN LIM'S PROPOSAL

- issue #11, de-registration when returning home, ready to close
  text is on issues page, discussion was >1 month ago
  *ACCEPT PROPOSED TEXT ON MEXT ISSUES PAGE*

- issue #15, brr sent by HA too (enhancement)
  *THIS ISSUE WILL BE CLOSED WITHOUT CHANGING THE DOC; HA WON'T SEND BRR*

- issue #16, ha behavior when MN returns home (defect)
  *ISSUE DROPPED*

- issue #17, multi-homed mobile node causing routing loop between HAs
  *WILL INSERT NEW TEXT IN SECURITY SECTION WARNING OF PROBLEM AND 
SUGGESTING TO USE RFC 2473*

So, what i understand is that we already have a way forward with all 
these issues.
We need Vijay and Hesham to provide the text and see if the WG agrees.

Now, were there any additional issues that were brought up after MPLS 
and the dealine for bringing new issues?

Regards, marcelo

Charles E. Perkins escribió:
> _______________________________________________
> MEXT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mext
>

---

From: "Charles E. Perkins" <[email-masked]>
Date: Fri, 27 Feb 2009 09:56:47 -0800

Hello Marcelo,

Yes, the agreements listed below will be reflected in the
revised document for rfc3775bis.  I'll be looking over the
mailing list to see if there are any other issues which were
accepted for consideration, and I'll send out a notice about
that later today.

Text from Vijay and Hesham will, of course, be gratefully
accepted!

Regards,
Charlie P.

marcelo bagnulo braun wrote:
> Hi Charlie,
>
> according to the last meeting minutes, we already have way forward 
> with most of these issues.
>  *HESHAM WILL SUPPLY CHARLIE WITH A ROUGH DRAFT OF DESCRIBING 
> TRADEOFFS OF DIFFERENT METHODS TO DETECT WHEN TO FALL BACK TO REVERSE 
> TUNNELLING*
>

---

From: Behcet Sarikaya <[email-masked]>
Date: Fri, 27 Feb 2009 14:44:24 -0800 (PST)

Hi Charlie,
  What strikes me in RFC 3775 is excessive number of section references. Almost like every second sentence refers the reader to another section. Although you have done an excellent job of getting the references right but it is very easy to make mistakes.
  I would suggest trying to remove them as much as possible. One example is:
The Binding Acknowledgement is used to acknowledge receipt of a
   Binding Update (Section 6.1.7).  
in Section 6.1.8 which just follows.
 
Regards,
 
Behcet

---

From: "Charles E. Perkins" <[email-masked]>
Date: Fri, 27 Feb 2009 15:06:50 -0800

Hello Behcet,

I think a great many people use the specification in a way that
increases the value of including cross-references.  If someone
looks up a topic in the table of contents, and goes directly to that
section, they may not know that a referenced protocol element
was defined in a nearby section.

However, if you have particular instances that seem to be
really gratuitous, please make suggestions to the list and I'll
carry out the requested actions.

Regards,
Charlie P.

Behcet Sarikaya wrote:
> Hi Charlie,
>   What strikes me in RFC 3775 is excessive number of section 
> references. Almost like every second sentence refers the reader to 
> another section. Although you have done an excellent job of getting 
> the references right but it is very easy to make mistakes.

---

From: Ashutosh Dutta <[email-masked]>
Date: Sat, 28 Feb 2009 10:25:45 -0500

Hesham, Marcelo, Charles
                           Daniel or I could not attend the  MEXT 
meeting during last IETF. I would be happy consult with Hesham on the 
revised text to take care of simultaneous mobility scenarios for MIPv6. 
I know we have discussed these in the past over the emails after the 
presentation during Philadelphia IETF.

Thanks
Ashutosh

---

From: marcelo bagnulo braun <[email-masked]>
Date: Sat, 28 Feb 2009 17:37:35 +0100

Sure, feel free to propose new text
thanks, marcelo

Ashutosh Dutta escribió:
> revised text to take care of simultaneous mobility scenarios for 
> MIPv6. I know we have discussed these in the past over the emails 
> after the presentation during Philadelphia IETF.
>
> Thanks
> Ashutosh
>
>>> TRADEOFFS OF DIFFERENT METHODS TO DETECT WHEN TO FALL BACK TO 
>>> REVERSE TUNNELLING*
>>>
>>> Now, were there any additional issues that were brought up after 
>>> MPLS and the dealine for bringing new issues?
>>>
>>> Regards, marcelo
>>>
>>>
>>>